PyDL:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- pydl v1.0.0-rc2 »
- SDSS Utilities (`pydl.pydlutils`) »
- x_to_angles

# x_to_angles

pydl.pydlutils.mangle.x_to_angles(points, latitude=False)

  Convert unit Cartesian vectors to spherical angles.

  Parameters
    points `ndarray`

      A set of x, y, z coordinates.

    latitude `bool`, optional

      If `True`, convert the angles to longitude, latitude, or equivalently, RA, Dec.

  Returns
    `ndarray`

      The corresponding spherical angles.